ahriman.core.database.migrations package
========================================

Submodules
----------

ahriman.core.database.migrations.m000\_initial module
-----------------------------------------------------

.. automodule:: ahriman.core.database.migrations.m000_initial
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.core.database.migrations.m001\_package\_source module
-------------------------------------------------------------

.. automodule:: ahriman.core.database.migrations.m001_package_source
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.core.database.migrations.m002\_user\_access module
----------------------------------------------------------

.. automodule:: ahriman.core.database.migrations.m002_user_access
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.core.database.migrations.m003\_patch\_variables module
--------------------------------------------------------------

.. automodule:: ahriman.core.database.migrations.m003_patch_variables
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.core.database.migrations.m004\_logs module
--------------------------------------------------

.. automodule:: ahriman.core.database.migrations.m004_logs
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.core.database.migrations.m005\_make\_opt\_depends module
----------------------------------------------------------------

.. automodule:: ahriman.core.database.migrations.m005_make_opt_depends
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.core.database.migrations.m006\_packages\_architecture\_required module
------------------------------------------------------------------------------

.. automodule:: ahriman.core.database.migrations.m006_packages_architecture_required
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.core.database.migrations.m007\_check\_depends module
------------------------------------------------------------

.. automodule:: ahriman.core.database.migrations.m007_check_depends
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.core.database.migrations.m008\_packagers module
-------------------------------------------------------

.. automodule:: ahriman.core.database.migrations.m008_packagers
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.core.database.migrations.m009\_local\_source module
-----------------------------------------------------------

.. automodule:: ahriman.core.database.migrations.m009_local_source
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.core.database.migrations.m010\_version\_based\_logs\_removal module
---------------------------------------------------------------------------

.. automodule:: ahriman.core.database.migrations.m010_version_based_logs_removal
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.core.database.migrations.m011\_repository\_name module
--------------------------------------------------------------

.. automodule:: ahriman.core.database.migrations.m011_repository_name
   :members:
   :no-undoc-members:
   :show-inheritance:

ahriman.core.database.migrations.m012\_last\_commit\_sha module
---------------------------------------------------------------

.. automodule:: ahriman.core.database.migrations.m012_last_commit_sha
   :members:
   :no-undoc-members:
   :show-inheritance:

Module contents
---------------

.. automodule:: ahriman.core.database.migrations
   :members:
   :no-undoc-members:
   :show-inheritance:
